summaryrefslogtreecommitdiffstats
path: root/utils/push-test-logs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/push-test-logs.sh')
-rw-r--r--utils/push-test-logs.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/utils/push-test-logs.sh b/utils/push-test-logs.sh
new file mode 100644
index 000000000..972853b78
--- /dev/null
+++ b/utils/push-test-logs.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Orange and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -e
+set -o pipefail
+
+export PATH=$PATH:/usr/local/bin/
+
+git_sha1="$(git rev-parse HEAD)"
+res_build_date=${1:-$(date -u +"%Y-%m-%d_%H-%M-%S")}
+project=$PROJECT
+branch=${GIT_BRANCH##*/}
+testbed=$NODE_NAME
+dir_result="${HOME}/opnfv/$project/results/$branch"
+node_list=(\
+'opnfv-jump-1' 'opnfv-jump-2' 'ericsson-pod1' 'ericsson-pod2' \
+'intelpod2-jumphost' 'intel-pod3' 'intel-pod5' 'intel-pod6' \
+'intel-pod8' 'huawei-us-deploy-bare-1' 'orange-fr-pod2')
+
+if [[ ! " ${node_list[@]} " =~ " ${testbed} " ]]; then
+ echo "This is not a CI POD. Aborting pushing the logs to artifacts."
+ exit 0
+fi
+
+if [[ "$branch" == "master" ]]; then
+ project_artifact=logs/$project/$testbed/$res_build_date
+else
+ project_artifact=logs/$project/$testbed/$branch/$res_build_date
+fi
+
+# create the folder to store the results
+mkdir -p $dir_result
+
+# copy folder to artifact
+if [ -d "$dir_result" ]; then
+ if [ "$(ls -A $dir_result)" ]; then
+ set +e
+ gsutil&>/dev/null
+ if [ $? != 0 ]; then
+ echo "Not possible to push results to artifact: gsutil not installed";
+ else
+ gsutil ls gs://artifacts.opnfv.org/"$project"/ &>/dev/null
+ if [ $? != 0 ]; then
+ echo "Not possible to push results to artifact: gsutil not installed.";
+ else
+ echo "copy result files to artifact $project_artifact"
+ gsutil -m cp -r "$dir_result" gs://artifacts.opnfv.org/"$project_artifact"/
+ fi
+ fi
+ else
+ echo "Result folder is empty"
+ fi
+fi